Package Details: transmission-svn-gtk 14103-1

Git Clone URL: https://aur.archlinux.org/transmission-svn-gtk.git (read-only)
Package Base: transmission-svn-gtk
Description: Fast, easy, and free BitTorrent client (GTK+ GUI)(Git version)
Upstream URL: http://www.transmissionbt.com/
Licenses: MIT
Conflicts: transmission-gtk
Provides: transmission-gtk
Submitter: FredBezies
Maintainer: disastro
Last Packager: disastro
Votes: 15
Popularity: 0.000008
First Submitted: 2009-12-22 09:11
Last Updated: 2015-07-07 11:52

Latest Comments

disastro commented on 2014-12-25 12:01

Pacman 4.2 is currently in testing and until it comes out makepkg won't generate a .SRCINFO file. When 4.2 passes testing I will update my packages. No point in using mkaurball now since it's just about to become obsolete. Thanks for notifying still!

FredBezies commented on 2014-12-25 10:38

You must upgrade package in order to support new AUR rules, like having a .SRCINFO file.

FredBezies commented on 2013-05-23 21:23

Made an uptodate and cleaner PKGBUILD :

http://pastebin.com/ce8CDCwy

Feel free to use it.

rustam commented on 2013-04-10 06:14

Is there any reason why you're manually specifying the revision to checkout(13255) rather than automatically get the latest trunk? Transmission is currently at revision 14063. Please bump the version.

disastro commented on 2012-03-14 17:18

PKGBUILD rewrite, so infrom me of any mistakes that were made, although I tested it works it could always fail. It should work with transmission-cli from official repo(can break though if changes or new features are made upstream to the web files, maybe I should make an svn version of cli if that happens) but I did not test it beyond if it conficts on file level or not.

Anonymous comment on 2012-03-14 14:02

package must provide and conflict with transmission-gtk to install

FredBezies commented on 2012-01-03 06:56

Cleaner PKGBUILD :


# Contributor: fredbezies <fredbezies@gmail.com>
# Based on transmission-svn aur package.
# Gtk-UI only version.

pkgname=transmission-svn-gtk
pkgver=13127
pkgrel=1
pkgdesc="A fast, easy, and free multi-platform BitTorrent client with a focus on being lightweight yet feature-filled. GTK-UI only version"
url="http://www.transmissionbt.com/"
license="MIT"
arch=('i686' 'x86_64')
depends=('curl' 'openssl' 'desktop-file-utils' 'hicolor-icon-theme')
provides=('transmission')
conflicts=('transmission')
makedepends=('gtk2' 'subversion' 'intltool' 'libevent')
backup=('etc/conf.d/transmissiond')
install=transmission.install
#source=(transmissiond
# transmissiond.conf)
#md5sums=('2a87aa815d2702209639719a9179d6fb'
# '7b019a710493ec4f8b54a1f528e1981d')

_svntrunk="svn://svn.transmissionbt.com/Transmission/trunk"
_svnmod="Transmission"

build() {
cd $startdir/src
mkdir -p ~/.subversion

svn co $_svntrunk $_svnmod
msg "SVN checkout done or server timeout"

msg "Starting make..."
cd "$srcdir/$_svnmod"

msg2 "autogen.sh..."
(./autogen.sh --prefix=/usr --disable-cli --disable-daemon)

msg2 "make"
make -s

msg2 "make install"
cd "$srcdir/$_svnmod"
make DESTDIR="$pkgdir" install

# Remove web client (seen in transmission official package)

rm -rf "$pkgdir/usr/share/transmission"

cd "$srcdir/$_svnmod"
install -D -m644 COPYING "$pkgdir/usr/share/licenses/$pkgname/COPYING"
}

syne commented on 2011-01-14 12:27

libevent 2.0.10 is out on the official site, so if you rebuild libevent pkg with the correct version and md5sum, transmission builds. only you need to remember to rebuild all other pkgs that depend on libevent, as well (e.g. xulrunner)

syne commented on 2010-12-29 22:26

best part is that apparently the latest (unstable) release of libevent is version 2.0.9, so that didn't work either:D

FredBezies commented on 2010-12-20 17:38

Cannot be build anymore. Needs libevent2 !

checking for LIBEVENT... configure: error: Package requirements (libevent >= 2.0.10) were not met:

No package 'libevent' found

Consider adjusting the PKG_CONFIG_PATH environment variable if you
installed software in a non-standard prefix.

Alternatively, you may set the environment variables LIBEVENT_CFLAGS
and LIBEVENT_LIBS to avoid the need to call pkg-config.
See the pkg-config man page for more details.

disastro commented on 2010-11-24 16:01

Conflicts with transmission-gtk atleast on translations and manpage

FredBezies commented on 2010-09-10 06:14

Doesn't build anymore. svn repository not longer working.

FredBezies commented on 2010-08-08 07:32

Up to date PKGBUILD

# Contributor: fredbezies <fredbezies@gmail.com>
# Based on transmission-svn aur package.
# Gtk-UI only version.

pkgname=transmission-svn-gtk
pkgver=11156
pkgrel=1
pkgdesc="A fast, easy, and free multi-platform BitTorrent client with a focus on being lightweight yet feature-filled. GTK-UI only version"
url="http://www.transmissionbt.com/"
license="MIT"
arch=('i686' 'x86_64')
depends=('curl>=7.16.3' 'openssl>=0.9.4' 'desktop-file-utils' 'hicolor-icon-theme')
provides=('transmission')
conflicts=('transmission')
makedepends=('gtk2>=2.6.0' 'subversion' 'intltool' 'libevent')
backup=('etc/conf.d/transmissiond')
install=transmission.install
#source=(transmissiond
# transmissiond.conf)
#md5sums=('2a87aa815d2702209639719a9179d6fb'
# '7b019a710493ec4f8b54a1f528e1981d')

_svntrunk="svn://svn.transmissionbt.com/Transmission/trunk"
_svnmod="Transmission"

build() {
cd $startdir/src
mkdir -p ~/.subversion

svn co $_svntrunk $_svnmod
msg "SVN checkout done or server timeout"

msg "Starting make..."
cd "$srcdir/$_svnmod"

msg2 "autogen.sh..."
(./autogen.sh --prefix=/usr --disable-cli --disable-daemon) || return 1

msg2 "make"
make -s || return 1

msg2 "make install"
cd "$srcdir/$_svnmod"
make DESTDIR="$pkgdir" install || return 1

# Remove web client (seen in transmission official package)

rm -rf "$pkgdir/usr/share/transmission" || return 1

cd "$srcdir/$_svnmod"
install -D -m644 COPYING "$pkgdir/usr/share/licenses/$pkgname/COPYING" || return 1
}

Could you please upgrade it ? Thanks !

FredBezies commented on 2010-07-18 05:31

And svn source is wrong now.

Please replace svn.m0k.org by svn.transmissionbt.com

Anonymous comment on 2010-05-30 00:05

libevent needs to be added as a dependency for the latest SVN revisions to compile sucessfully.